Bug 763729 - (GLUSTER-1997) Solaris mount fails with "RPC program not registered"
Solaris mount fails with "RPC program not registered"
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
3.1.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Shehjar Tikoo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-21 05:05 EDT by Shehjar Tikoo
Modified: 2015-12-01 11:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTP
Mount Type: nfs
Documentation: DA
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shehjar Tikoo 2010-10-21 02:41:52 EDT
The problem was occurring because the solaris root fh funging code wasnt tested for dvm against a solaris client.
Comment 1 Shehjar Tikoo 2010-10-21 05:05:24 EDT
bash-3.00# showmount -e localhost    
export list for localhost:
/new *
bash-3.00# mount -o proto=tcp,vers=3 nfs://localhost:38467:/new  /mnt/gluster
nfs mount: localhost: : RPC: Program not registered
nfs mount: retrying: /mnt/gluster

Network trace shows that the Solaris client is receiving a ESTALE for lookup on root. The log shows this as:


[2010-10-21 08:38:04.895582] D [rpcsvc.c:1842:nfs_rpcsvc_request_create] nfsrpc: RPC XID: 4cb25ebf, Ver: 2, Program: 100003, ProgVers: 3, Proc: 3
[2010-10-21 08:38:04.895601] T [auth-unix.c:67:nfs_auth_unix_authenticate] nfsrpc: Auth Info: machine name: Solaris-10, uid: 0, gid: 0
[2010-10-21 08:38:04.895614] D [rpcsvc.c:1285:nfs_rpcsvc_program_actor] nfsrpc: Actor found: NFS3 - LOOKUP
######################################################################################
######################################################################################
[2010-10-21 08:38:04.895682] D [nfs3-helpers.c:2254:nfs3_log_fh_entry_call] nfs-nfsv3: XID: 4cb25ebf, LOOKUP: args: FH: hashcount 0, exportid 00000000-0000-0000-0000-0000000000
00, gfid 00000000-0000-0000-0000-000000000000, name: new
[2010-10-21 08:38:04.895714] T [nfs-common.c:99:nfs_mntpath_to_xlator] nfs: Subvolume search: new
[2010-10-21 08:38:04.895733] D [nfs3-helpers.c:2374:nfs3_log_common_res] nfs-nfsv3: XID: 4cb25ebf, LOOKUP: NFS: 70(Invalid file handle), POSIX: 14(Bad address)
######################################################################################
######################################################################################
Comment 2 Anand Avati 2010-10-21 05:11:26 EDT
PATCH: http://patches.gluster.com/patch/5547 in master (nfs3: Correctly funge solaris root lookup FH for DVM)
Comment 3 Shehjar Tikoo 2010-10-26 04:38:34 EDT
The other crash seen as part of this bug was related to logging and that is fixed. For closure, solaris needs to be mounted with the following command:

mount -o proto=tcp,vers=3 nfs://<SERVER-ADDR>:38467/<EXPORT> <MNT-POINT>
Comment 4 Lakshmipathi G 2010-11-19 02:52:20 EST
verified with 3.1.1qa9
Comment 5 Shehjar Tikoo 2010-12-23 00:21:08 EST
Doc available as FAQ.

Note You need to log in before you can comment on or make changes to this bug.